# Uses of Class
org.eclipse.ecf.remoteservice.client.AbstractClientService.UriRequest

Packages that use AbstractClientService.UriRequest
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of AbstractClientService.UriRequest in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that return AbstractClientService.UriRequest
Modifier and Type
Method
Description
`AbstractClientService.UriRequest`
AbstractClientContainer.`createUriRequest(String endpoint, IRemoteCall call, IRemoteCallable callable)`
`protected AbstractClientService.UriRequest`
AbstractClientService.`createUriRequest(String endpoint, IRemoteCall call, IRemoteCallable callable)`

## Uses of AbstractClientService.UriRequest in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client with parameters of type AbstractClientService.UriRequest
Modifier and Type
Method
Description
`protected org.apache.http.client.methods.HttpRequestBase`
RestClientService.`createAndPrepareHttpMethod(AbstractClientService.UriRequest request)`